package com.heyu.api.data.dao.vv;
/**
* <p>
* 用户登录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-23
*/

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.heyu.api.data.entity.vv.VvLoginLogEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface VvLoginLogDao extends BaseMapper<VvLoginLogEntity> {


	VvLoginLogEntity selectVvLoginLogById(@Param("id")Long id);


	Long insertVvLoginLog(VvLoginLogEntity vvLoginLog);


	Long insertOrUpdateVvLoginLog(VvLoginLogEntity vvLoginLog);


	int updateVvLoginLogById(VvLoginLogEntity vvLoginLog);


	int updateCoverVvLoginLogById(VvLoginLogEntity vvLoginLog);


	int deleteVvLoginLogById(@Param("id")Long id);



	int deleteVvLoginLogRealByUserName(String username);
}